# Uses of Enum Class
org.apache.sysds.lops.LeftIndex.LixCacheType

Packages that use LeftIndex.LixCacheType
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.instructions.spark

## Uses of LeftIndex.LixCacheType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return LeftIndex.LixCacheType
Modifier and Type
Method
Description
`static LeftIndex.LixCacheType`
LeftIndex.LixCacheType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LeftIndex.LixCacheType[]`
LeftIndex.LixCacheType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type LeftIndex.LixCacheType
Modifier
Constructor
Description
``
`LeftIndex(Lop lhsInput, Lop rhsInput, Lop rowL, Lop rowU, Lop colL, Lop colU, Types.DataType dt, Types.ValueType vt, Types.ExecType et, LeftIndex.LixCacheType type)`

## Uses of LeftIndex.LixCacheType in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return LeftIndex.LixCacheType
Modifier and Type
Method
Description
`LeftIndex.LixCacheType`
MatrixIndexingSPInstruction.`getLixType()`